MindWrtParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MindWrtParserInternal::State Struct Reference

Internal: the state of a MindWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character More...
int | m_numLinesByZone [3]
| the number of paragraph by zones ( main, header, footer ) More...
ZoneInfo | m_zones [3]
| the zones More...
std::multimap< std::string, MWAWEntry > | m_entryMap
| the zones map More...
ListProperties | m_listProperties
| the list properties More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the actual list id More...
int | m_footerHeight
| the footer height if known More...
std::vector< Field > | m_headerFieldList
| the header field list More...
std::vector< Field > | m_footerFieldList
| the footer field list More...

## Detailed Description

Internal: the state of a MindWrtParser.

## Constructor & Destructor Documentation

MindWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

int MindWrtParserInternal::State::m_actPage

the actual page

std::string MindWrtParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

std::multimap<std::string, MWAWEntry> MindWrtParserInternal::State::m_entryMap

the zones map

std::vector<Field> MindWrtParserInternal::State::m_footerFieldList

the footer field list

int MindWrtParserInternal::State::m_footerHeight

the footer height if known

std::vector<Field> MindWrtParserInternal::State::m_headerFieldList

the header field list

int MindWrtParserInternal::State::m_headerHeight

the actual list id

the header height if known

ListProperties MindWrtParserInternal::State::m_listProperties

the list properties

int MindWrtParserInternal::State::m_numLinesByZone[3]

the number of paragraph by zones ( main, header, footer )

int MindWrtParserInternal::State::m_numPages

the number of page of the final document

ZoneInfo MindWrtParserInternal::State::m_zones[3]

the zones

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx